<template>
    <div class="edit-view">
        <el-form :model="formData" :rules="rules" ref="form" label-width="80px" label-position="right" size="small"
                 style="max-width: 500px;">
            <el-form-item prop="icon" label="图标">
                <crop-upload v-model="formData.icon"></crop-upload>
            </el-form-item>
            <el-form-item prop="name" label="名称" >
                <el-input v-model="formData.name"></el-input>
            </el-form-item>
            <el-form-item prop="startTime" label="开始时间">
                <!-- <el-input v-model="formData.startTime"></el-input>-->

                <el-time-picker
                        placeholder="起始时间"
                        v-model="formData.startTime"
                        value-format="HH:mm:ss"
                >
                </el-time-picker>

            </el-form-item>
            <el-form-item prop="endTime" label="结束时间">
                <!--<el-input v-model="formData.endTime"></el-input>-->
                <el-time-picker
                        placeholder="结束时间"
                        v-model="formData.endTime"
                        value-format="HH:mm:ss"
                >
                </el-time-picker>
            </el-form-item>
            <el-form-item>
                <el-button @click="onSave" :loading="saving"
                           type="primary">保存
                </el-button>
                <el-button @click="onDelete" :loading="saving"
                           type="danger" v-if="formData.id">删除
                </el-button>
                <el-button @click="$router.go(-1)">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
    export default {
        name: 'TimeTagEdit',
        created() {
            if (this.$route.query.id) {
                this.$http
                    .get('timeTag/get/' + this.$route.query.id)
                    .then(res => {
                        this.formData = res;
                    })
                    .catch(e => {
                        console.log(e);
                        this.$message.error(e.error);
                    });
            }
        },
        data() {
            return {
                saving: false,
                formData: {
                    icon:
                        'https://idingdong.oss-cn-hangzhou.aliyuncs.com/image/2020-06-12-15-42-37zDfSXPvT.jpg',
                },
                rules: {},
                startTime: '',
                endTime: ''
            }
        },
        methods: {
            onSave() {
                this.$refs.form.validate((valid) => {
                    if (valid) {
                        this.submit();
                    } else {
                        return false;
                    }
                });
            },
            submit() {
                let data = {...this.formData};
/*                let data = {
                    startTime: this.startTime,
                    endTime: this.endTime

                }*/

                this.saving = true;
                this.$http
                    .post('/timeTag/save', data, {body: 'json'})
                    .then(res => {
                        this.saving = false;
                        this.$message.success('成功');
                        this.$router.go(-1);
                    })
                    .catch(e => {
                        console.log(e);
                        this.saving = false;
                        this.$message.error(e.error);
                    });
            },
            onDelete() {
                this.$alert('删除将无法恢复，确认要删除么？', '警告', {type: 'error'}).then(() => {
                    return this.$http.post(`/timeTag/del/${this.formData.id}`)
                }).then(() => {
                    this.$message.success('删除成功');
                    this.$router.go(-1);
                }).catch(e => {
                    if (e !== 'cancel') {
                        console.log(e);
                        this.$message.error(e.error);
                    }
                })
            },
        }
    }
</script>
<style lang="less" scoped>
</style>
